{By default, based on the selected connection type, the default library
for that connection type is used. If you want to use your own library,
activate name it using cSQLdbLibraryName and activate the switch {.$DEFINE UseCustomLibrary}.
Note the differences in the name under Windows and Linux.}

{$IFDEF UNIX}
  {$ifdef RasPi}
    cSQLdbLibraryName = '????';
  {$else}
    {$ifdef DARWIN}
       cSQLdbLibraryName='/usr/lib/libsqlite3.dylib';
    {$else}
       cSQLdbLibraryName = 'libsqlite3.so';
    {$endif}
  {$endif}
{$ELSE}
  cSQLdbLibraryName = 'sqlite3.dll';
{$ENDIF}

cSQLStandardImportFileName  ='standard.sql';
cSQLCustomImportFileName    ='demo.sql';
cSQLDatabaseFile            ='demo.db';
cUNDEF                      ='undefined';
cDelimiter                  ='@';
cConnectorType              ='SQLite3';

{ Default Values for:
Connector Name, Default Library Name
Firebird,   fbclient.dll
MSSQLServer,   dblib.dll,
MySQL 4.0,  libmysql.dll,
MySQL 4.1,  libmysql.dll,
MySQL 5.0,  libmysql.dll,
MySQL 5.1,  libmysql.dll,
MySQL 5.5,  libmysql.dll,
MySQL 5.6,  libmysql.dll,
MySQL 5.7,  libmysql.dll,
MySQL 8.0,  libmysql.dll,
ODBC,
Oracle,          oci.dll,
PostgreSQL,    libpq.dll,
SQLite3,     sqlite3.dll,
Sybase,        dblib.dll,

for linux .so filenames are used
}


//for server based databases
cSQLDatabasename='dbname';
cSQLhostname = 'hostname';
cSQLuser ='username';
cSQLpassword='password';


