program project1;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}
  cthreads,
  {$ENDIF}
  {$IFDEF HASAMIGA}
  athreads,
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, Unit1, uguessfile,
  sysutils,
  udmsqldb,
  udmsqldbsimple, usqldbruntime;

{$if declared(UseHeapTrace)}
const
  co_heaptrc = 'heaptrace.trc';  // or use a filename of your choice, it resides in the same dir like the executable
{$endif}

{$R *.res}

begin
  {$if declared(UseHeapTrace)}
  // If you want to show heaptrc report dialog only if there were leaks
  //   in your application, then put this command somewhere
  //   in your main project source file:
    GlobalSkipIfNoLeaks := true; // supported as of debugger version 3.1.1
    if FileExists(co_heaptrc) then
        DeleteFile(co_heaptrc);
    SetHeapTraceOutput(co_heaptrc); // supported as of debugger version 3.1.1
    //   HaltOnError := false;             // dont halt a the end of the programm
  {$endif}
  RequireDerivedFormResource:=True;

  Application.Scaled:=True;
  Application.Initialize;
  Application.CreateForm(TForm1, Form1);
  Application.Run;
end.

